<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.data.mapper.XcrTechnologyAwardSupplementMapper">

    <resultMap id="BaseResultMap" type="com.zksy.data.domain.po.XcrTechnologyAwardSupplement">
            <id property="csid" column="CSID" jdbcType="INTEGER"/>
            <result property="xh" column="XH" jdbcType="VARCHAR"/>
            <result property="sbztmc" column="SBZTMC" jdbcType="VARCHAR"/>
            <result property="sd" column="SD" jdbcType="VARCHAR"/>
            <result property="kjjl" column="KJJL" jdbcType="VARCHAR"/>
            <result property="hpyq" column="HPYQ" jdbcType="VARCHAR"/>
            <result property="hpcyjd" column="HPCYJD" jdbcType="VARCHAR"/>
            <result property="hpjmrhjd" column="HPJMRHJD" jdbcType="VARCHAR"/>
            <result property="yqjw" column="YQJW" jdbcType="VARCHAR"/>
            <result property="xjgq" column="XJGQ" jdbcType="VARCHAR"/>
            <result property="hpgq" column="HPGQ" jdbcType="VARCHAR"/>
            <result property="yjgq" column="YJGQ" jdbcType="VARCHAR"/>
            <result property="qysy" column="QYSY" jdbcType="VARCHAR"/>
            <result property="xjptkf" column="XJPTKF" jdbcType="VARCHAR"/>
            <result property="xjptjf" column="XJPTJF" jdbcType="VARCHAR"/>
            <result property="zlsq" column="ZLSQ" jdbcType="VARCHAR"/>
            <result property="zlnfbt" column="ZLNFBT" jdbcType="VARCHAR"/>
            <result property="xpz" column="XPZ" jdbcType="VARCHAR"/>
            <result property="yfjb" column="YFJB" jdbcType="VARCHAR"/>
            <result property="cylm" column="CYLM" jdbcType="VARCHAR"/>
            <result property="jmrhxm" column="JMRHXM" jdbcType="VARCHAR"/>
            <result property="jmjsyy" column="JMJSYY" jdbcType="VARCHAR"/>
            <result property="xjzdsys" column="XJZDSYS" jdbcType="VARCHAR"/>
            <result property="xjysgzz" column="XJYSGZZ" jdbcType="VARCHAR"/>
            <result property="rctd" column="RCTD" jdbcType="VARCHAR"/>
            <result property="gsfh" column="GSFH" jdbcType="VARCHAR"/>
            <result property="lsyq" column="LSYQ" jdbcType="VARCHAR"/>
            <result property="lxqy" column="LXQY" jdbcType="VARCHAR"/>
            <result property="qjsc" column="QJSC" jdbcType="VARCHAR"/>
            <result property="lxcp" column="LXCP" jdbcType="VARCHAR"/>
            <result property="jgjl" column="JGJL" jdbcType="VARCHAR"/>
            <result property="hj" column="HJ" jdbcType="VARCHAR"/>
            <result property="sczbf" column="SCZBF" jdbcType="DECIMAL"/>
            <result property="iTime" column="I_TIME" jdbcType="TIMESTAMP"/>
            <result property="uniCode" column="uni_code" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        CSID,XH,SBZTMC,
        SD,KJJL,HPYQ,
        HPCYJD,HPJMRHJD,YQJW,
        XJGQ,HPGQ,YJGQ,
        QYSY,XJPTKF,XJPTJF,
        ZLSQ,ZLNFBT,XPZ,
        YFJB,CYLM,JMRHXM,
        JMJSYY,XJZDSYS,XJYSGZZ,
        RCTD,GSFH,LSYQ,
        LXQY,QJSC,LXCP,
        JGJL,HJ,SCZBF,
        I_TIME,uni_code
    </sql>
</mapper>
